--! Normal library
library ieee;
--! Normal package
use ieee.std_logic_1164.all;

--! Package to define a record in
package test_package is

	--! Simple record to show how records are documented
  type my_record is record
    --! First item
    item1 : std_logic;
    
    --! Second item
  	item2 : integer;
  end record my_record;
  
  --! Test constant
  constant test : std_logic;
  
end package test_package;
